<?php
/*!
 * 图兰朵系统对接:
 * 查询接口业务参数
 * @author LYT <lyt@hainatravel.com>
 * @date   2018-03-31
 */
class TuLanDuo_queryContentBuilder extends CI_Model
{
    private $userId;
    private $Key;

    private $pageSize=20; //”Integer”//每页数量 每页最多返回50行
    private $pageIndex=1; //”Integer”//页码。第几页数据
    private $orderType; //”Integer”//订单类型，1=独立成团，2=散客团 【精准查询】
    private $orderStatus; //”Integer”//订单状态 1=已确认，0=待确认
    private $startTravelDate; //”String”//当前出游时间之后 【精准查询】
    private $endTravelDate; //”String”//当前出游时间之前  【精准查询】
    private $startOrderDate; //”String”//当前预定时间之后 【精准查询】
    private $endOrderDate; //”String”//当前预定时间之前  【精准查询】
    private $agcOrderNo; //”String”//组团社团号  【模糊查询】
    private $adultNum; //”Integer”//大人数量  【精准查询】
    private $childNum; //”Integer”//小孩数量  【精准查询】
    private $customerName; //”String”//订单游客名单  【模糊查询】
    private $routeName; //”String”//行程名称 。  【模糊查询】
    private $operationDep; //”String”//操作部门 ，  【精准查询】

    private $orderId; //”Integer”//订单ID

    private $bizContentarr = array();

    private $bizContent = NULL;

    public function getBizContent()
    {
        if(!empty($this->bizContentarr)){
            $this->bizContent = json_encode($this->bizContentarr);
        }
        return $this->bizContent;
    }

    public function setUserId($userId)
    {
        $this->userId = $userId;
        $this->bizContentarr['userId'] = $userId;
        return $this;
    }
    public function setKey($Key)
    {
        $this->key = $Key;
        $this->bizContentarr['key'] = $Key;
        return $this;
    }

    public function getPageSize()
    {
        return $this->pageSize;
    }
    public function setPageSize($pageSize)
    {
        $this->pageSize = $pageSize;
        $this->bizContentarr['pageSize'] = $pageSize;
        return $this;
    }
    public function getPageIndex()
    {
        return $this->pageIndex;
    }
    public function setPageIndex($pageIndex)
    {
        $this->pageIndex = $pageIndex;
        $this->bizContentarr['pageIndex'] = $pageIndex;
        return $this;
    }

    public function getStartTravelDate()
    {
        return $this->startTravelDate;
    }
    public function setStartTravelDate($startTravelDate)
    {
        $this->startTravelDate = $startTravelDate;
        $this->bizContentarr['startTravelDate'] = $startTravelDate;
        return $this;
    }
    public function getEndTravelDate()
    {
        return $this->endTravelDate;
    }
    public function setEndTravelDate($endTravelDate)
    {
        $this->endTravelDate = $endTravelDate;
        $this->bizContentarr['endTravelDate'] = $endTravelDate;
        return $this;
    }

    public function getStartOrderDate()
    {
        return $this->startOrderDate;
    }
    public function setStartOrderDate($startOrderDate)
    {
        $this->startOrderDate = $startOrderDate;
        $this->bizContentarr['startOrderDate'] = $startOrderDate;
        return $this;
    }
    public function getEndOrderDate()
    {
        return $this->endOrderDate;
    }
    public function setEndOrderDate($endOrderDate)
    {
        $this->endOrderDate = $endOrderDate;
        $this->bizContentarr['endOrderDate'] = $endOrderDate;
        return $this;
    }

    public function getOrderId()
    {
        return $this->orderId;
    }
    public function setOrderId($orderId)
    {
        $this->orderId = $orderId;
        $this->bizContentarr['orderId'] = $orderId;
        return $this;
    }

    public function getAgcOrderNo()
    {
        return $this->agcOrderNo;
    }
    public function setAgcOrderNo($agcOrderNo)
    {
        $this->agcOrderNo = $agcOrderNo;
        $this->bizContentarr['agcOrderNo'] = $agcOrderNo;
        return $this;
    }
    // 其他还没用到先不写了...
}

?>
